%define module  XML-Mini
%define name    perl-%{module}
%define version 1.2.8
%define release %mkrel 7

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Perl implementation of the XML::Mini XML create/parse interface
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}/
Source:         http://www.cpan.org/modules/by-module/XML/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
XML::Mini is a set of Perl classes that allow you to access XML data and create
valid XML output with a tree-based hierarchy of elements. The MiniXML API has
both Perl and PHP implementations.

%prep

%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/XML/Mini.pm
%{perl_vendorlib}/XML/Mini/*.pm
%{perl_vendorlib}/XML/Mini/Element/*.pm
%{_mandir}/man3*/*



%changelog
* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.8-7mdv2008.0
+ Revision: 87108
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.8-6mdv2007.0
- better summary and description

* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.8-5mdk
- Fix According to perl Policy
    - Source URL
    - URL
- use mkrel

* Mon Jul 04 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.8-4mdk
- rebuild

* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.8-3mdk
- rebuilt, fix deps
- use macros

